PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_array Struct Reference
Utilities » Array

`#include <pipewire/array.h>`

## Data Fields
void * | data
| pointer to array data
size_t | size
| length of array in bytes
size_t | alloc
| number of allocated memory in data
size_t | extend
| number of bytes to extend with, 0 when the data should not expand

## Field Documentation

## ◆ data

void* pw_array::data

pointer to array data

## ◆ size

size_t pw_array::size

length of array in bytes

## ◆ alloc

size_t pw_array::alloc

number of allocated memory in data

## ◆ extend

size_t pw_array::extend

number of bytes to extend with, 0 when the data should not expand

The documentation for this struct was generated from the following file:

- pipewire/array.h